<?php
 
require_once($_SERVER['DOCUMENT_ROOT'] . '/sys/db.php');

class modLiveSearchField  {

  public function __construct($lo_id, $st_id) {

    $this->lo_id = isset($lo_id) ? $lo_id : 0;
    $this->st_id = isset($st_id) ? $st_id : 0;

    $dal = new DAL();

    $sql = "SELECT 0 AS id, 'Select' AS text " .
           "UNION ALL " .
           "SELECT id, descr AS text " .
           "FROM status ORDER BY id ";
    $this->status = $dal->query($sql);
  }

  public function get($prop) {
    return $this->$prop;
  }
  
}

?>